#!/bin/sh

set -e

makedir()
{
  [ -d "$1" ] && return
  echo "creating directory $1"
  mkdir -p "$1"
}

if [ $# -ne 1 ]; then
  cat >&2 <<EOF
Usage: $0 <directory>
choose --home to install the files in '\$HOME/bin' and '\$HOME/.eet'.
EOF
  exit 1
fi

if [ "$1" = --home ]; then
  bin="$HOME/bin"
  eet="$HOME/.eet"
else
  bin="$1/bin"
  eet="$1/share/eet"
fi

makedir $bin

for i in eet mkw-*
do
  echo "installing $i in $bin"
  cp "$i" "$bin"
  chmod a+x "$bin/$i"
done

makedir $eet

echo "installing filters in $eet"
for i in make
do
  cp "filters/$i" "$eet"
done

echo "installing libraries in $eet"
for i in colors
do
  cp "libs/$i" "$eet"
done

# $Id: install.sh 20170 2007-12-04 09:32:08Z lefevre $
